Skip to main content

Set job status

Updates the status of a job identified by the given dataset ID. Returns the updated job if successful. If the job is not found, returns null.

Query Parameters
datasetId string — REQUIRED

The dataset ID of the job to update

status string — REQUIRED

Possible values: [active, paused]

The new status to set for the job

datasetId string
status string

Possible values: [active, paused]

Responses
200

Job status updated successfully for dataset ID datasetId

Schema — OPTIONAL
id string — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string
executionMode string — OPTIONAL

Possible values: [batch, streaming]

schedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
status string — OPTIONAL

Possible values: [active, paused]

priority int32 — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Invalid input provided (e.g., missing dataset ID or status)

Schema — OPTIONAL
string
401

Unauthorized access.

404

No job found for the specified dataset ID datasetId

Schema — OPTIONAL
string